Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07447 Graphics Minor Always Oct 6, 2019, 14:58 Oct 7, 2019, 09:54
Tester MetalGod View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver cninja.cpp
Version 0.214 Fixed in Version 0.215 Build 64-bit
Summary 07447: cninja and clones: Wrong priority in level 4 fall
Description Wrong priority in level 4 fall

Priority bug during a fall: character and items are behind the background.
It ocurrs right after defeating the rolling dinosaur boss and before the mammoth boss.
Uploaded a savestate right before the bug (mame 0.214)

Regression is mame 0.209

How it looks since mame 0.209:



How it looked before mame 0.209



Bug reported by Prince_Ales at mameworld.info
Steps To Reproduce
Additional Information Specifically, work done on March 30, 2019 is responsible.
I've upload a save state (uploaded as 8.zip) made just before the fall which can be used my March 30am binary and March 31am binary. The March 30am shows both Caveman and the Fruit, March 31am shows neither.
Flags
Regression Version 0.209
Affected Sets / Systems cninja and clones
Attached Files
zip file icon cninja.zip (11,356 bytes) Oct 6, 2019, 21:46 Uploaded by MetalGod
zip file icon 8.zip (10,840 bytes) Oct 6, 2019, 22:37 Uploaded by Tafoid
Save State Usable March 30-31st, 2019 detailing breakage
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.17042
Tafoid
Administrator
Oct 6, 2019, 21:06
1.sta in your archive seems to be right after the mammoth boss is defeated, skipping the fall down section in question.
User avatar
No.17044
MetalGod
Senior Tester
Oct 6, 2019, 21:27
edited on: Oct 6, 2019, 21:47
Oooops, I screwed up on that.
Hold on a second...
User avatar
No.17045
MetalGod
Senior Tester
Oct 6, 2019, 21:46
Uploaded correct savestate